package com.dskj.znzn.importData.common;

import com.dskj.znzn.importData.common.base.CurrentUser;

/**
 *
 */
public class ThreadLocalUser {

    private static final ThreadLocal<CurrentUser> userInfo = new ThreadLocal<>();

    public static CurrentUser get() {
        return userInfo.get();
    }

    public static void set(CurrentUser currentUser) {
        userInfo.set(currentUser);
    }
}
