package com.dskj.znzn.importData.web.indata;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@ApiModel
@Data
public class AddBaseTemplateInData {

    @ApiModelProperty("名称")
    @NotBlank(message = "模板名称不能为空")
    private String name;

    @ApiModelProperty("模板配置属性")
    @NotEmpty(message = "模板字段不能为空")
    @Valid
    List<TemplateFieldsInData> templateFieldsInDataList;
}
