package com.dskj.znzn.importData.web.indata;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@ApiModel
public class ExecutorHistoryProcessInData {

    @ApiModelProperty("执行器ID")
    @NotNull
    private Integer id;

    @ApiModelProperty("执行器名称")
    @NotBlank
    private String name;

    @ApiModelProperty("执行器读取路径")
    @NotBlank
    private String readPath;

}
