package com.dskj.znzn.importData.web.indata;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel
@Data
public class MappingFieldInData {

    @ApiModelProperty("模版标准化字段ID")
    @NotNull
    private Integer templateFiledId;

    @ApiModelProperty("标准化字段名称")
    @NotBlank
    private String standardizedName;

    @ApiModelProperty("映射关系数组,合并列时有可能需要配置多个")
    private List<String> dataNameList;

    @ApiModelProperty("移除的字符,eg:风机编号F001数据,移除:风机编号,数据  最后保留F001")
    private List<String> removeCharactersList;
}
