package com.dskj.znzn.importData.web.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dskj.znzn.importData.web.entity.ExecutorHistory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dskj.znzn.importData.web.indata.ListByQueryInData;
import com.dskj.znzn.importData.web.outdata.ExecutorHistoryOutData;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 魏志亮
 * @since 2024-11-25
 */
@Mapper
public interface ExecutorHistoryMapper extends BaseMapper<ExecutorHistory> {

    IPage<ExecutorHistoryOutData> listByQuery(IPage<?> page, @Param("inData") ListByQueryInData inData);
}
