package com.dskj.znzn.importData.web.outdata;

import com.dskj.znzn.importData.web.entity.ExecutorHistory;
import com.dskj.znzn.importData.web.indata.ExecutorHistoryProcessInData;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel
public class ExecutorHistoryOutData extends ExecutorHistory {


    @ApiModelProperty("执行器组名称")
    private String processGroupName;

    @ApiModelProperty("模板名称")
    private String templateName;

    @ApiModelProperty("0:竖向 1:横向,自定义方式用 0,1,0 拼接 ")
    private Integer joinType;

    @ApiModelProperty("处理器")
    private List<ExecutorHistoryProcessInData> processExecutorList;

}
