package com.dskj.znzn.importData.web.outdata;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.dskj.znzn.importData.web.entity.MappingField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel
public class ProcessExecutorOutData {

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("处理器组ID")
    private Integer groupId;

    @ApiModelProperty("处理器名称")
    private String name;

    @ApiModelProperty("已知字段")
    private String knownFields;

    @ApiModelProperty("映射关系")
    private List<MappingField> mappingFieldList;
}
