package com.dskj.znzn.importData.web.outdata;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.Map;

@ApiModel
@Data
@NoArgsConstructor
public class ReadExcelDataOutData {

    @ApiModelProperty("数据")
    List<Map<Integer, Object>> data;

    @ApiModelProperty("所有列")
    private List<Object> cols;

    public ReadExcelDataOutData(List<Map<Integer, Object>> data) {
        this.data = data;
        if (!data.isEmpty()) {
            cols = Arrays.asList(Collections.singletonList(data.get(0).keySet().stream()).toArray());
        } else {
            cols = Collections.emptyList();
        }
    }
}
