package com.dskj.znzn.importData.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dskj.znzn.importData.web.entity.MappingField;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author 魏志亮
 * @since 2024-10-29
 */
public interface IMappingFieldService extends IService<MappingField> {

    /**
     * 通过执行器ID获取所有映射关系
     *
     * @param processId 执行器ID
     * @return 所有映射字段
     */
    List<MappingField> getByProcessId(Integer processId);
}
