package com.dskj.znzn.importData.executor.utils;

import java.io.*;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;

public class UzipAndCopyToTmp {


    public static void unzipRecursive(String readDir, String destDirectory) {
        File destDir = new File(readDir);
        File[] files = destDir.listFiles();
        if (files != null) {
            for (File file : files) {
                if (file.isFile() && (file.getName().endsWith(".zip") || file.getName().endsWith(".rar") || file.getName().endsWith(".tar"))) {
                    String newDestDirectory = destDirectory + File.separator + file.getName().replaceAll("\\.[^.]+$", "");
                    new File(newDestDirectory).mkdirs();
                    if (file.getName().endsWith(".zip")) {
                        unzipRecursive(file.getAbsolutePath(), newDestDirectory);
                    }
//                    else if (file.getName().endsWith(".rar")) {
//                        unrar(file.getAbsolutePath(), newDestDirectory);
//                    } else if (file.getName().endsWith(".tar")) {
//                        untar(file.getAbsolutePath(), newDestDirectory);
//                    }
                }
            }
        }
    }

}
