package com.dskj.znzn.importData.web.indata;

import com.dskj.znzn.importData.common.base.PageInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class ListByQueryInData extends PageInfo {

    @ApiModelProperty("执行器组ID")
    private Integer processGroupId;

    @ApiModelProperty("执行器名称")
    private String executorProcessName;

    @ApiModelProperty("0:竖向 1:横向 2:自定义")
    private Integer joinType;

    @ApiModelProperty("-1:等待中 0:转化中 1:转化成功 2:转化失败")
    private Integer execStatus;
}
