package com.dskj.znzn.importData.web.indata;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class ReadExcepDataInData {

    @ApiModelProperty("是否包含表头 0:不包含 1:包含")
    private Integer hasColName = 1;

    @ApiModelProperty("读取哪一行")
    private Integer readRowNum;

    @ApiModelProperty("最小读取行,默认1")
    private Integer minRowNum = 1;

    @ApiModelProperty("最大读取行,默认20")
    private Integer maxRowNum = 20;

    public Integer getMaxRowNum() {
        if (null != this.getReadRowNum()) {
            return maxRowNum > this.getReadRowNum() ? maxRowNum : this.getReadRowNum();
        }
        return maxRowNum;
    }
}
