package com.dskj.znzn.importData.web.indata;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
@ApiModel
public class TemplateFieldsInData {

    @ApiModelProperty("标准化字段")
    @NotBlank(message = "标准化字段不能为空")
    private String standardizedName;

    @ApiModelProperty("是否是索引列,合并表的时候,多个文件合并使用 0:不是,非必填  1:是,必填,  默认0")
    private Integer isIndex = 0;

    @ApiModelProperty("是否是切割文件的字段 0:不是 1:是 ,默认0")
    private Integer isCutCol = 0;

}
