package com.dskj.znzn.importData.web.outdata;

import com.dskj.znzn.importData.web.entity.BaseTemplate;
import com.dskj.znzn.importData.web.entity.BaseTemplateField;
import com.dskj.znzn.importData.web.entity.ProcessGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class GetBaseTemplateOutData {

    @ApiModelProperty("模板信息")
    private BaseTemplate baseTemplate;

    @ApiModelProperty("模板中的标准化字段")
    private List<BaseTemplateField> fieldList;

    @ApiModelProperty("使用这个模板的执行器组")
    private List<ProcessGroup> useTemplateGroupList;
}
