package com.dskj.znzn.importData.web.service;

import com.dskj.znzn.importData.common.base.PageR;
import com.dskj.znzn.importData.web.entity.ExecutorHistory;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dskj.znzn.importData.web.indata.ListByQueryInData;
import com.dskj.znzn.importData.web.indata.SubmitProcessGroupInData;
import com.dskj.znzn.importData.web.outdata.ExecutorHistoryOutData;

/**
 * @author 魏志亮
 * @since 2024-11-25
 */
public interface IExecutorHistoryService extends IService<ExecutorHistory> {

    /**
     * 执行执行器组
     *
     * @param inData 数据
     */
    void submitProcessGroup(SubmitProcessGroupInData inData);

    /**
     * 查询执行记录
     *
     * @param inData 查询条件
     * @return
     */
    PageR<ExecutorHistoryOutData> listByQuery(ListByQueryInData inData);
}
